%global gemdir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%global gemname net-ping
%global geminstdir %{gemdir}/gems/%{gemname}-%{version}

Summary: A ping interface for Ruby
Name: rubygem-%{gemname}
Version: 1.4.1
Release: 1%{?dist}
Group: Development/Languages
License: Artistic 2.0
URL: http://www.rubyforge.org/projects/shards
Source0: http://rubygems.org/gems/%{gemname}-%{version}.gem

# for rhel5 compatibility
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch: noarch

Provides: rubygem(%{gemname}) = %{version}

Requires: ruby(abi) = 1.8
Requires: rubygems

BuildRequires: ruby
BuildRequires: rubygems
BuildRequires: rubygem(test-unit)
BuildRequires: rubygem(fakeweb)
BuildRequires: iputils

%description
The net-ping library provides a ping interface for Ruby. It includes
separate TCP, HTTP, ICMP, UDP, WMI (for Windows) and external ping
classes.


%package doc
Summary: A ping interface for Ruby - documentation
Group: Development/Languages

%description doc
This package contains the documentation files for the %{gemname} Ruby
library.


%prep

%build

%install
mkdir -p %{buildroot}%{gemdir}
gem install --local --install-dir %{buildroot}%{gemdir} --force %{SOURCE0}


%check
pushd %{buildroot}%{geminstdir}
# three tests are ignored because of missing network connectivity
RUBYOPT="Ilib" testrb2 test/test_net_ping.rb \
--ignore-name=test_duration_basic_functionality \
--ignore-name=test_pinging_a_good_host_results_in_no_exception_data \
--ignore-name=test_pinging_a_good_host_returns_true
popd


# for rhel5 compatibility
%clean
rm -rf %{buildroot}


%files
%defattr(-, root, root, -)
%{geminstdir}/lib
%doc %{geminstdir}/README
%{gemdir}/cache/%{gemname}-%{version}.gem
%{gemdir}/specifications/%{gemname}-%{version}.gemspec


%files doc
%defattr(-, root, root, -)
%dir %{geminstdir}
%doc %{geminstdir}/doc/ping.txt
%doc %{geminstdir}/examples/
%doc %{gemdir}/doc/%{gemname}-%{version}
%{geminstdir}/Rakefile
%{geminstdir}/test
%{geminstdir}/net-ping.gemspec
%{geminstdir}/MANIFEST
%{geminstdir}/CHANGES


%changelog
* Fri Mar 18 2011 Lukas Zapletal <lzap+rpm[@]redhat.com> - 1.4.1-1
- unit tests now use mock servers
- fixing issues from the review #672845

* Tue Jan 25 2011 Lukas Zapletal <lzap+rpm[@]redhat.com> - 1.4.0-1
- Initial package

